Subject: Re: <draft-ietf-6man-rfc2460bis-09.txt>

From: "C. M. Heard" <[email-masked]>
Date: Fri, 31 Mar 2017 09:28:31 -0700

I support the change to the Introduction proposed below by Brian Carpenter.

In addition, I raised an issue during last call that may have been
missed because I didn't keep the original subject line. Please see
https://www.ietf.org/mail-archive/web/ipv6/current/msg26129.html,
where I suggested that the NOTE in Section 4 be changed as follows:

OLD:
   NOTE: While [RFC2460] required that all nodes must examine and
   process the Hop-by-Hop Options header, it is now expected that nodes
   along a packet's delivery path only examine and process the Hop-by-
   Hop Options header if explicitly configured to do so.

NEW:
   NOTE: While [RFC2460] required that all nodes must examine and
   process the Hop-by-Hop Options header, it is now expected that nodes
   along a packet's delivery path, other than the source and destination
   nodes, will examine and process the Hop-by-Hop Options header only if
   explicitly configured to do so.

The existing text seems to say that it is expected that hosts, as well as
intermediate systems, will examine HbH options only if explicitly configured
to do so, and I don't think that was the intent -- the issues that  forwarding
nodes have with HbH options don't really apply to hosts. If the intent was
indeed for the NOTE to apply to source and destination nodes, it might be
useful to emphasize that e.g. by changing "other than" to "including" in the
proposed new text.

Thank & regards,

Mike Heard

On Fri, 31 Mar 2017 03:13:53 +1300, Brian E Carpenter wrote:
> Proposed text change near the end of the Introduction:
>
> OLD:
>    This document specifies the basic IPv6 header and the initially-
>    defined IPv6 extension headers and options.
>
> NEW:
>    This document specifies the basic IPv6 header and the initially-
>    defined IPv6 extension headers and options required for interoperable
>    communication between any two nodes on the Internet.
>
> Regards
>    Brian
>
> On 31/03/2017 02:35, Bob Hinden wrote:
>> Hi,
>>
>> I published the -09 version of 6man working group draft of rfc2460bis.  Links below.
>>
>> The changes in this draft are:
>>
>>       Based on results of IETF last call, changed text in Section 4
>>       to add clarification that extension headers are not examined,
>>       processed, inserted, or deleted by any node along a packet's
>>       delivery path.
>>
>>       Changed reference from draft-ietf-6man-rfc4291bis to RFC4291
>>       because the bis draft won't be advanced as the same time.
>>
>>       Revised "Changes since RFC2460" Section to have a summary of
>>       changes since RFC2460 and a separate subsection with a change
>>       history of each Internet Draft.  This subsection will be
>>       removed when the RFC is published.
>>
>>       Editorial changes.
>>
>> A diff from the -08 version can be found at:
>>
>>    https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-rfc2460bis-09
>>
>> Please review the changes.
>>
>> This is part of the project to move the core IPv6 specifications to Internet Standard.
>>
>> Thanks,
>> Bob
>>
>>> A new version of I-D, draft-ietf-6man-rfc2460bis-09.txt
>>> has been successfully submitted by Robert M. Hinden and posted to the
>>> IETF repository.
>>>
>>> Name: draft-ietf-6man-rfc2460bis
>>> Revision: 09
>>> Title: Internet Protocol, Version 6 (IPv6) Specification
>>> Document date: 2017-03-30
>>> Group: 6man
>>> Pages: 41
>>> URL:            https://www.ietf.org/internet-drafts/draft-ietf-6man-rfc2460bis-09.txt
>>> Status:         https://datatracker.ietf.org/doc/draft-ietf-6man-rfc2460bis/
>>> Htmlized:       https://tools.ietf.org/html/draft-ietf-6man-rfc2460bis-09
>>> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-6man-rfc2460bis-09
>>> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-rfc2460bis-09
>>>
>>> Abstract:
>>>   This document specifies version 6 of the Internet Protocol (IPv6).
>>>   It obsoletes RFC2460
>>>
>>
>>
>>
>>
>> --------------------------------------------------------------------
>> IETF IPv6 working group mailing list
>> ipv6 at ietf.org
>> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
>> --------------------------------------------------------------------
>>